Skip to content
API referencePlatformPlatform sso

List_platform_sso_providers

GET
/platform/v1/sso/providers

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Header Parameters

X-Project-Id*string

UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.

Formatuuid

Response Body

application/json

curl -X GET "https://example.com/platform/v1/sso/providers" \  -H "X-Project-Id: 11111111-1111-1111-1111-111111111111"
[  {    "authorization_endpoint": "string",    "auto_link_by_verified_email": true,    "button_label": "string",    "button_logo_url": "string",    "client_id": "string",    "client_secret_ref": {      "env": {        "var_name": "string"      }    },    "created_at": "2019-08-24T14:15:22Z",    "display_name": "string",    "enabled": true,    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "issuer_url": "string",    "jwks_uri": "string",    "kind": "gbyte",    "planes": [      "staff"    ],    "preferred_default_for": [      "staff"    ],    "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",    "scopes": [      "string"    ],    "token_endpoint": "string",    "updated_at": "2019-08-24T14:15:22Z",    "userinfo_endpoint": "string"  }]